Skip to content

getGJAccountComments20.php ​

Gets a user's account comments.

Parameters ​

ParameterExplanation
accountID *The account ID of the player whose comments you're getting
page *Which page of comments you want to see
secret *Common Secret: Wmfd2893gb7
gameVersion aA number representing the game's version. The current value is 22 for 2.2
binaryVersion aA number representing the game's small version. The current value is 51 for 2.209 on PC and mobile
dvs aA number representing the OS platform the player is using. Corresponds to the Cocos2d CC_TARGET_PLATFORM macro: 1 for iOS, 2 for Android, 3 for Windows, 8 for macOS
udid aThe player's UDID (Unique Device Identifier). Used to identify unregistered users
uuid aThe player's user ID. See the previous format here
gjp2 aThe player's account password, encoded with GJP2. Used for authorization
total aProbably the cached total number of account comments, default is 0
countAmount of account comments that will be returned. Max 20, default 10

Response ​

Returns a list of comment objects separated by a pipe |, followed by a # and page info in the following format: total:offset:page_size

Example ​

Python ​

py
import requests

data = {
    "accountID": 173831,  # DevExit's account ID
    "page": 0,
    "secret": "Wmfd2893gb7"
}

headers = {
    "User-Agent": ""
}

url = "https://www.boomlings.com/database/getGJAccountComments20.php"
req = requests.post(url, data=data, headers=headers)
print(req.text)

curl ​

plain
curl -X POST "https://www.boomlings.com/database/getGJAccountComments20.php" -H "User-Agent: " -d "accountID=173831&page=0&secret=Wmfd2893gb7"

Response

plain
2~NTAwMCBzdGFycyE=~4~9~9~2 months~6~1756926|2~Qmxvb2RiYXRoIEdHISEh~4~19~9~6 months~6~1745624|2~QWxsZWdpYW5jZSAxMDAl~4~2~9~6 months~6~1744292|2~SUNEWCAxMDAlIDop~4~1~9~6 months~6~1743608|2~T2ggeWVhaCBDYXRhIGFuZCBUVVAgMTAwJQ==~4~1~9~7 months~6~1742661|2~Mi4xMSBpcyBvdXQgOik=~4~43~9~2 years~6~1295890|2~SSBsaWtlIGhvdyBzb21lb25lIGRpc2xpa2UgYm90dGVkIG1vc3Qgb2YgbXkgY29tbWVudHMgOikgU2hvd3MgdGhhdCBJJ20uLi5mQW1PdVM=~4~16~9~2 years~6~1279970|2~TmVjcm9wb2xpeCBpbiAyMTYgYXR0IGluIHByYWN0aWNl~4~14~9~2 years~6~1264265|2~IkhpIEx1bmEi~4~15~9~3 years~6~1246506|2~TyB3YWl0IG15IDUwdGggZGVtb24gd2FzIGdvaW5nIHRvIGJlIEJ1Y2sgRm9yY2UsIG5vdCByZWFsbHkgY2VsZWJyYXRvcnkuLi4=~4~7~9~3 years~6~1238082#67:0:10